#!/usr/bin/env bash

set -eu

PROTO_DIR="./api/proto/v1"
PKG_ROOT_DIR="./pkg/api/v1/java"
PKG_DIR="${PKG_ROOT_DIR}/src/main/java"

rm -fR ${PKG_ROOT_DIR}
mkdir -p ${PKG_DIR}

protoc \
--proto_path=${PROTO_DIR} \
--proto_path=third_party \
--java_out=${PKG_DIR} \
--grpc-java_out=${PKG_DIR} \
-I ${PROTO_DIR} ${PROTO_DIR}/**/*.proto

cp ./third_party/_pom.xml ${PKG_ROOT_DIR}/pom.xml

# https://programmer.group/use-of-grpc-in-rpc.html
